Commit d64649b5 authored by Pekka Paalanen's avatar Pekka Paalanen
Browse files

meson: better errors for systemd-notify deps



Helps people avoid libsystemd if they don't want it.
Signed-off-by: Pekka Paalanen's avatarPekka Paalanen <pq@iki.fi>
parent 217a15c1
......@@ -126,11 +126,16 @@ if get_option('color-management-colord')
endif
if get_option('systemd')
dep_libsystemd = dependency('libsystemd', required: false)
if not dep_libsystemd.found()
error('systemd-notify requires libsystemd which was not found. Or, you can use \'-Dsystemd=false\'.')
endif
plugin_systemd_notify = shared_library(
'systemd-notify',
'systemd-notify.c',
include_directories: include_directories('..', '../shared'),
dependencies: [ dep_libweston, dependency('libsystemd') ],
dependencies: [ dep_libweston, dep_libsystemd ],
name_prefix: '',
install: true,
install_dir: dir_module_weston
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment